scenario = "PCL_lesson1.sce";

# Don't make a logfile for this
no_logfile = true;

# Some defaults
default_background_color = 128, 128, 128;
default_text_color = 0, 0, 0;
default_font_size = 32;

# One button (1 on the keyboard)
active_buttons = 1;
button_codes = 1; 


# SCE object definitions start here
begin;


### This is an object that presents some text until the correct button is pressed
trial {				#-----------------   INSTRUCTIONS   -----------------          

	# End the event when the correct button is pressed
   trial_type = correct_response;

	# Never time-out
   trial_duration = forever;

	# Define a stimulus event
	stimulus_event {
		# The stimulus is a pic
		picture {              
			# The pic consists of text
			text {
				# Just put a placeholder for "caption" now; the caption will be filled in by the PCL code
				caption = " "; preload=false;
				max_text_width=800;
			### GIVE THIS TEXT OBJECT A NAME, SO IT CAN BE MANIPULATED LATER ON IN PCL
			} instruction_caption;
			# Where the picture will appear on the screen
			x = -75; y = 0;
		};
	
		# The button that can end the stimulus event
		target_button = 1;

	### GIVE THE STIMULUS EVENT A NAME, SO IT CAN BE MANIPULATED LATER ON IN PCL
	} instruction_event;

### GIVE THE TRIAL A NAME, SO IT CAN BE MANIPULATED LATER ON IN PCL
} instruction_trial; 




### PCL code starts here
begin_pcl;

# Use the set_caption() method of the SCE object instruction_caption, to change the text that will be displayed
instruction_caption.set_caption( "Hello! I hope you are enjoying this script. (Press 1 to keep reading.)" );
# Redraw the picture that will be presented on screen (this needs to be done every time you change a SCE picture object)
instruction_caption.redraw();
# Actually present the instructions
instruction_trial.present();

### Let's do that a few more times
instruction_caption.set_caption( "Look at the code for this experiment to see how it works." );
instruction_caption.redraw();
instruction_trial.present();

instruction_caption.set_caption( "Now you know how to define a single text object in SCE, and change the text as many times as you want in PCL." );
instruction_caption.redraw();
instruction_trial.present();

instruction_caption.set_caption( "But isn't it annoying to have to run instruction_caption.redraw() and instruction_trial.present() over and over again? It takes like 3 lines of code every time you want to just present a simple message!" );
instruction_caption.redraw();
instruction_trial.present();

instruction_caption.set_caption( "In the next lesson, we'll look at how to simplify your life by turning commonly-repeated bits of code into SUBROUTINES." );
instruction_caption.redraw();
instruction_trial.present();